Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023613
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-04-23 10:192013-05-28 15:15
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP23
StatusclosedFix in branchFixed in SCM revision6704053d6c40
ProjectionnoneETAnoneTarget VersionRMP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP21SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023613: A bug exists in offline mode

DescriptionWhen you do the offline login, always is English the default value
Steps To Reproduce-Configure one user with language different to english
-configure the system client with the same language
-login in the web POS and verify that you work with the new language
-go to offline status
-logout and login again

Verify that now the interface is in English
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0058911)
hgbot (developer)
2013-05-23 16:24

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 6704053d6c40828d9a2634cae1895ba61f195846
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu May 23 16:23:48 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/6704053d6c40828d9a2634cae1895ba61f195846 [^]

Fixed issue 23613. Fixed the way labels are stored in the localStorage.
Now the labels will only be stored if they come from a request with an active session in the backend. This is done to avoid storing them in case we are still in the login page. Before, the labels were reloaded when the user logged out of the application, and if the language in the login page was different from the one in the Web POS main window, then the correct labels were overwritten.

---
M src/org/openbravo/mobile/core/login/MobileCoreLoginUtilsServlet.java
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0058995)
guilleaer (developer)
2013-05-28 15:15

verified

- Issue History
Date Modified Username Field Change
2013-04-23 10:19 jecharri New Issue
2013-04-23 10:19 jecharri Assigned To => marvintm
2013-04-30 09:28 guilleaer Target Version RMP22 => RMP23
2013-05-23 16:24 hgbot Checkin
2013-05-23 16:24 hgbot Note Added: 0058911
2013-05-23 16:24 hgbot Status new => resolved
2013-05-23 16:24 hgbot Resolution open => fixed
2013-05-23 16:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/6704053d6c40828d9a2634cae1895ba61f195846 [^]
2013-05-28 15:15 guilleaer Review Assigned To => guilleaer
2013-05-28 15:15 guilleaer Note Added: 0058995
2013-05-28 15:15 guilleaer Status resolved => closed
2013-05-28 15:15 guilleaer Fixed in Version => RMP23


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker